Last Comment Bug 720574 - Remove unused variables and imports
: Remove unused variables and imports
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P4 normal (vote)
: Firefox 12
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-23 16:48 PST by :Margaret Leibovic
Modified: 2012-02-06 13:00 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (11.29 KB, patch)
2012-01-23 16:48 PST, :Margaret Leibovic
mbrubeck: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2012-01-23 16:48:45 PST
Created attachment 590939 [details] [diff] [review]
patch

I didn't go through every file, but this fixes the unused variable/import warnings I've come across in Eclipse. I can give it a try server run to make sure it doesn't break anything.
Comment 1 Matt Brubeck (:mbrubeck) 2012-01-23 16:55:43 PST
Comment on attachment 590939 [details] [diff] [review]
patch

>         public AwesomeBarCursorAdapter(Context context, int layout, Cursor c, String[] from, int[] to) {
>             super(context, layout, c, from, to);
>-            mLayout = layout;
>-            mTo = to;
>-            mFrom = from;
>-            mSearchTerm = "";
>         }

The "mSearchTerm" change here is the only one that seemed potentially bad.  Even if it's not currently necessary, I'd rather initialize it here than risk that some current or future code uses it unitialized.

r=mbrubeck except for that change.
Comment 2 :Margaret Leibovic 2012-01-23 17:05:12 PST
(In reply to Matt Brubeck (:mbrubeck) from comment #1)
> >         public AwesomeBarCursorAdapter(Context context, int layout, Cursor c, String[] from, int[] to) {
> >             super(context, layout, c, from, to);
> >-            mLayout = layout;
> >-            mTo = to;
> >-            mFrom = from;
> >-            mSearchTerm = "";
> >         }
> 
> The "mSearchTerm" change here is the only one that seemed potentially bad. 
> Even if it's not currently necessary, I'd rather initialize it here than
> risk that some current or future code uses it unitialized.

Oops, I accidentally deleted that. To be clear, you're okay with the other variables being removed there, just not mSearchTerm?
Comment 3 Matt Brubeck (:mbrubeck) 2012-01-23 17:18:42 PST
(In reply to Margaret Leibovic [:margaret] from comment #2)
> > The "mSearchTerm" change here is the only one that seemed potentially bad.
> 
> Oops, I accidentally deleted that. To be clear, you're okay with the other
> variables being removed there, just not mSearchTerm?

Right.
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2012-01-25 07:29:14 PST
https://hg.mozilla.org/mozilla-central/rev/c375946d5039
Comment 6 :Margaret Leibovic 2012-01-25 10:35:10 PST
Comment on attachment 590939 [details] [diff] [review]
patch

[Approval Request Comment]
Code clean-up. It would be good to get this into Aurora to prevent conflicts. Landed on m-c this morning, so it will be in Nightly tomorrow.
Comment 7 Alex Keybl [:akeybl] 2012-01-25 17:08:18 PST
Comment on attachment 590939 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 8 Brad Lassey [:blassey] (use needinfo?) 2012-02-06 13:00:38 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/0fdbeccb55af

Note You need to log in before you can comment on or make changes to this bug.